# -*- coding: UTF-8 -*-
#
# Copyright (C) 2012  Avencall
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.


class DataRetrieveError(Exception):

    def __init__(self, value):
        self.value = value

    def __str__(self):
        return repr(self.value)


class NoSuchElementException(Exception):

    def __init__(self, value):
        self.value = value

    def __str__(self):
        return repr(self.value)


class InvalidInputException(Exception):
    def __init__(self, value, errors_list):
        self.value = value
        self.errors_list = errors_list

    def __str__(self):
        return "%s : %s" % (self.value, self.errors_list)


class ProvdError(Exception):
    def __init__(self, value):
        self.value = value

    def __str__(self):
        return "provd error: %s" % self.value


class VoicemailExistsException(Exception):
    pass


class SysconfdError(Exception):
    def __init__(self, value):
        self.value = value

    def __str__(self):
        return "sysconfd error: %s" % self.value
